Bug 1731284 - Flatpak package on registry.fedoraproject.org
Summary: Flatpak package on registry.fedoraproject.org
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: torbrowser-launcher
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-18 22:35 UTC by rugk
Modified: 2020-11-03 19:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description rugk 2019-07-18 22:35:04 UTC
It would be great if you could provide a flatpak package of this app to https://registry.fedoraproject.org/.

Especially for users of Fedora Silverblue https://silverblue.fedoraproject.org/ this then allows a seamless installation and upgrades without rebooting the system (just restarting the application).

Additionally, flatpaks can of course be installed on any distro, so also non-Fedora users could use it too.

More details:
* https://fedoraproject.org/wiki/Workstation/Flatpaks
* https://fedoraproject.org/wiki/Changes/Graphical_Applications_as_Flatpaks
* https://docs.fedoraproject.org/en-US/flatpak/tutorial/

I know that at least Firefox is available on Fedora Registry as a flatpak.
Maybe that should make it easier for you to implement this, because you can have a look on how they do it.
And Firefox (pre-releases) are also packaged here as a flatpak: https://firefox-flatpak.mojefedora.cz/

Related discussion: https://discussion.fedoraproject.org/t/tor-browser-on-silverblue/2032?u=rugk

Comment 1 rugk 2019-07-25 14:20:26 UTC
Oh, did not notice that, but actually there is already a proposed Flatpak manifest for Tor Browser (Lauchner): https://trac.torproject.org/projects/tor/ticket/25578#comment:8

Maybe this can be more officially supported/maintained (AFAIK they've asked for a maintainer there).

Anyway, I've also asked the TorBrowser-Launcher (upstream) makers:
https://github.com/micahflee/torbrowser-launcher/issues/407

Comment 2 Gwyn Ciesla 2019-07-25 14:23:01 UTC
I'm working on it using our module tools at the moment. I might look to the others for inspiration if needed.

Comment 3 Ben Cotton 2019-08-13 16:49:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 4 Ben Cotton 2020-11-03 15:20:23 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 rugk 2020-11-03 19:04:23 UTC
It's a feature request, independent of the version.

Comment 6 rugk 2020-11-03 19:05:08 UTC
BTW Flathub does now have a version of Tor Browser: https://flathub.org/apps/details/com.github.micahflee.torbrowser-launcher


Note You need to log in before you can comment on or make changes to this bug.